---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  creationTimestamp: "2025-10-27T11:31:18Z"
  labels:
    app.kubernetes.io/name: catalogd
    app.kubernetes.io/part-of: olm
  managedFields:
  - apiVersion: rbac.authorization.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:app.kubernetes.io/name: {}
          f:app.kubernetes.io/part-of: {}
      f:rules: {}
    manager: cluster-olm-operator
    operation: Update
    time: "2025-10-27T11:31:18Z"
  name: catalogd-leader-election-role
  namespace: openshift-catalogd
  resourceVersion: "7585"
  uid: af5bb405-e202-482e-ab2f-d708d88a6857
rules:
- apiGroups:
  - ""
  resources:
  - configmaps
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - patch
  - delete
- apiGroups:
  - coordination.k8s.io
  resources:
  - leases
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - patch
  - delete
- apiGroups:
  - ""
  resources:
  - events
  verbs:
  - create
  - patch
